<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'src/PHPMailer.php';
require 'src/SMTP.php';
require 'src/Exception.php';

ini_set('display_errors', 1);
error_reporting(E_ALL);

$mail = new PHPMailer(true);

try {
    $mail->isSMTP();
    $mail->Host = 'smtp.gmail.com';
    $mail->SMTPAuth = true;
    $mail->Username = 'dachavion3@gmail.com';  // tu correo
    $mail->Password = 'gccqojqquxmlkvkg';      // tu pass de app
    $mail->SMTPSecure = 'tls';
    $mail->Port = 587;

    $mail->setFrom('dachavion3@gmail.com', 'Trax Sistemas');
    $mail->addAddress('tu_correo_personal@ejemplo.com'); // cámbialo por tu email

    $mail->isHTML(true);
    $mail->Subject = 'Correo de prueba';
    $mail->Body = 'Este es un correo de prueba desde PHPMailer.';

    $mail->send();
    echo "Correo enviado correctamente";
} catch (Exception $e) {
    echo "Error al enviar correo: {$mail->ErrorInfo}";
}
